Page MenuHomePhabricator

Added check for kind of UnqualifiedId in Declarator::isStaticMember()
ClosedPublic

Authored by violetav on Mar 19 2015, 7:01 AM.

Details

Summary

Method CXXMethodDecl::isStaticOverloadedOperator expects Operator field from the struct OperatorFunctionId, which is a member of the union in the class UnqualifiedId. If the kind of UnqualifiedId is not checked, there is no guarantee that the value that this method receives will be correct, because it can be the value of another union member and not OperatorFunctionId.

Diff Detail

Repository
rL LLVM

Event Timeline

violetav updated this revision to Diff 22253.Mar 19 2015, 7:01 AM
violetav retitled this revision from to Added check for kind of UnqualifiedId in Declarator::isStaticMember().
violetav updated this object.
violetav edited the test plan for this revision. (Show Details)
violetav added reviewers: rnk, petarj.
violetav added a subscriber: Unknown Object (MLST).
rnk accepted this revision.Mar 25 2015, 8:53 AM
rnk edited edge metadata.

lgtm

Thanks for the fix!

This revision is now accepted and ready to land.Mar 25 2015, 8:53 AM
petarj accepted this revision.Mar 29 2015, 5:43 PM
petarj edited edge metadata.

lgtm

This revision was automatically updated to reflect the committed changes.